%global momorel 1
%define __libtoolize :

Summary: plugins and utilities for encryption in GNOME
Name: seahorse-plugins
Version: 2.26.2
Release: %{momorel}m%{?dist}
License: GPL
Group: User Interface/Desktops
URL: http://www.gnome.org/projects/seahorse/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: intltool
BuildPrereq: GConf2
BuildPrereq: libglade2-devel >= 2.6.4
BuildPrereq: GConf2-devel >= 2.26.0
BuildPrereq: gtk2-devel >= 2.16.0
BuildPrereq: glib2-devel >= 2.20.0
BuildPrereq: nautilus-devel >= 2.26.0
BuildPrereq: gnome-vfs2-devel >= 2.24.1
BuildPrereq: gnome-keyring-devel >= 2.26.0
BuildPrereq: dbus-glib-devel >= 0.80
BuildPrereq: seahorse-devel >= 2.26.2
BuildPrereq: libxml2-devel >= 2.7.3
BuildPrereq: epiphany-devel >= 2.26.0
BuildPrereq: gedit-devel >= 2.26.0
BuildPrereq: gnome-panel >= devel-2.26.0
BuildPrereq: libnotify-devel >= 0.4.5
BuildPrereq: evolution-data-server-devel >= 2.26.0
Requires: GConf2

%description
seahorse-plugins: plugins and utilities for encryption in GNOME

%prep
%setup -q

%build
%configure \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --disable-update-mime-database \
    --disable-static \
    --enable-epiphany
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
rarian-sk-update
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas \
    %{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas \
	%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas \
	%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas \
	> /dev/null || :
fi

%postun
/sbin/ldconfig
rarian-sk-update
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING-DOCS ChangeLog README THANKS
%{_sysconfdir}/gconf/schemas/seahorse-gedit.schemas
%{_sysconfdir}/gconf/schemas/seahorse-plugins.schemas
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_SeahorseApplet.server
%{_libdir}/epiphany/2.2?/extensions/libseahorseextension.so
%{_libdir}/epiphany/2.2?/extensions/libseahorseextension.la
%{_libdir}/epiphany/2.2?/extensions/seahorse.ephy-extension
%{_libdir}/gedit-2/plugins/libseahorse-pgp.so
%{_libdir}/gedit-2/plugins/libseahorse-pgp.la
%{_libdir}/gedit-2/plugins/seahorse-pgp.gedit-plugin
%{_libdir}/nautilus/extensions-2.0/libnautilus-seahorse.so
%{_libdir}/nautilus/extensions-2.0/libnautilus-seahorse.la
%{_libdir}/seahorse/seahorse-applet
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-2.0/ui/GNOME_SeahorseApplet.xml
%{_datadir}/gnome/help/seahorse-plugins
%{_datadir}/gnome/help/seahorse-applet
%{_datadir}/omf/seahorse-plugins
%{_datadir}/omf/seahorse-applet
%{_datadir}/mime/packages/seahorse.xml
%{_datadir}/pixmaps/*
%{_mandir}/man1/*.1.*
%{_datadir}/icons/hicolor/*/*/*

%changelog
* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Wed Apr 15 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Fri Mar 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Fri Mar  6 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.92-1m)
- update to 2.25.92

* Sun Mar  1 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-3m)
- enable epiphany-extension(again)
- modify patch0

* Sat Feb 14 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-2m)
- enable epiphany-extension
- add patch0

* Mon Feb  9 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.90-1m)
- update to 2.25.90
-- --disable-epiphany

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.1-2m)
- rebuild against rpm-4.6

* Mon Oct 20 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Fri Oct  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- initial-build
